input,input:focus-visible,input:focus,select {
    padding: 4px;
    border: 0.5px solid #c7c7c7;
    border-radius: 4px;
    margin: 4px;
    color: #252323;
    outline: 0.5px solid #c7c7c745;
}

/* spinner from loading.io */
.spinner-wrapper {
    padding-left: 40%;
    width: 50px;
    height: 50px;
    padding-bottom: 24px;
}

.lds-ring {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
}
.lds-ring div {
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 40px;
    height: 40px;
    margin: 8px;
    border: 8px solid #c7c7c7;
    border-radius: 50%;
    animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: #c7c7c7 transparent transparent transparent;
}
.lds-ring div:nth-child(1) {
    animation-delay: -0.45s;
}
.lds-ring div:nth-child(2) {
    animation-delay: -0.3s;
}
.lds-ring div:nth-child(3) {
    animation-delay: -0.15s;
}
@keyframes lds-ring {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
/* end of spinner code */
